#
# spec file for package python-bugzilla
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-bugzilla
Version:        0.9.0suse3
Release:        10.5
Summary:        Python library for bugzilla
License:        GPL-2.0+
Group:          Development/Libraries/Python
Url:            https://fedorahosted.org/python-bugzilla/
Source:         %{name}-%{version}.tar.bz2
# https://gitorious.org/opensuse/python-bugzilla
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Requires:       python-pycurl
Suggests:       osc

%description
This is a python module that provides a nice, python-ish interface to Bugzilla
over XMLRPC.

It was originally written specifically for Red Hat's Bugzilla instance, but now
supports the Web Services provided by upstream Bugzilla 3.0 and 3.2 also.

It also includes a 'bugzilla' commandline client which can be used for quick,
ad-hoc bugzilla jiggery-pokery. I guess you could use it in shell scripts too,
but gosh - why not just write something in Python instead?

%prep
%setup -q

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/bugzilla
%{python_sitelib}/bugzilla
%{python_sitelib}/python_bugzilla-%{version}-py%{py_ver}.egg-info
%{_mandir}/man1/bugzilla.1.gz

%changelog
* Tue Sep 23 2014 bwiedemann@suse.com
- update nvlbugzilla.py to reflect that server now has ver 4.4
* Thu Jun 27 2013 jmatejek@suse.com
- update to 0.9.0
  * CVE-2013-2191: Switch to pycurl to get SSL host and cert validation
    (fixes bnc#825876)
  * bugzilla: modify: add --dependson (Don Zickus)
  * bugzilla: new: add --groups option (Paul Frields)
  * bugzilla: modify: Allow setting nearly every bug parameter
- update to suse3 from gitorious
  * remerged NovellBugzilla functionality
    (upstream inclusion pending bnc#822053)
* Fri May 24 2013 jmatejek@suse.com
- update to 0.8.0
  * support for Bugzilla 4 and above
  * streamlined internals
- update to suse2 from gitorious
  * include all suse patches
  * use osc's methods to parse .oscrc
* Wed May 22 2013 speilicke@suse.com
- Apply python-bugzilla-0.6.2-section.patch
- Cleanup spec file
- Package README
* Thu May 16 2013 werner@suse.de
- Fix UL sections that is check also for URL without final slash
  this may fix bnc#807901
* Thu Jan  3 2013 toddrme2178@gmail.com
- Fix building on SLES 11
* Tue Jan 31 2012 jmatejek@suse.com
- remove basic auth credentials from backtraces
- Novell Bugzilla is the default when using bugzilla command line tool
* Fri Jan 27 2012 jmatejek@suse.com
- update to openSUSE-1 tag from openSUSE's git branch
  * better handling of NovellBugzilla instances
  * using HTTP basic auth instead of IChain
* Fri Jul 29 2011 mvyskocil@suse.cz
- update to 0.6.2, rebased all patches
  * backport --outputformat feature from git
* Fri Jul 29 2011 mvyskocil@suse.cz
- add 0005-Add-Bugzilla34._query.patch fixing query command
- add 0020-allow-various-bnc-instances-in-NovellBugzilla.patch
* Mon May 23 2011 mvyskocil@suse.cz
- update to 0.6.1
  * many new parameters for bugzilla command-line tool like --target_milestone,
  - -private, --status, --assignee, et all
  * add support for Bugzilla 36
  * Unicode related fixes
- SUSE specific fixes
  * novell bugzilla support in getBugzillaClassForURL
  * obfuscated password support in oscrc
  * move novell bugzilla to 3.4
  * xmlrpclib changes done in python 2.7 from master [bug#685842]
- create suse branch for stashing SUSE specific changes
  https://gitorious.org/opensuse/python-bugzilla/commits/suse
* Thu Jun 17 2010 matejcik@suse.cz
- recognize Novell bugzilla in default constructor
* Wed Aug 26 2009 mvyskocil@suse.cz
- Added a patch with support of obfuscated passwords introduced in osc-0.121
* Wed Jul 22 2009 mvyskocil@suse.cz
- Initial packaging of python-bugzilla 0.5 with Novell Bugzilla patches
